{% extends 'base.html.twig' %}

{% block title %}Hello ContactController!
{% endblock %}

{% block body %}
	<section>
		<div class="container d-flex flex-column">
			<div class="row align-items-center justify-content-between gx-0 min-vh-100">
				<div class="col-12 col-md-5 alignn-self-strecht">
					<img src="{{ asset('images/cta-bg.jpg') }}" alt="..." style="width: 640px;">
				</div>
				<div class="col-12 col-md-6 py-8 py-md-11">
					<h2 class="fw-bold text-center mb-2">Me contacter</h2>
					<p class="fs-lg text-center text-muted mb-0">
						Une question ? Envie d'acheter une toile ? N'hésitez pas à me contacter.</p>
					<hr class="hr-sm my-6 my-md-8mx-auto bg-gray-300">

					{{ form_start(form) }}
					{% for message in app.flashes('success') %}
						{# {% for message in $session->getFlashbag('success') %} #}
						<div class="alert alert-success">
							{{ message }}
						</div>
					{% endfor %}

					<div class="my-custom-class-for-errors">
						{{ form_errors(form) }}
					</div>

					<div class="form-group mb-5">
						<label for="contactName" class="form-label">
							{{ form_label(form.nom)}}
						</label>
						{{ form_widget(form.nom) }}
					</div>
					<div class="form-group mb-5">
						<label for="contactEmail" class="form-label">
							{{ form_label(form.email) }}
						</label>
						{{ form_widget(form.email) }}
					</div>
					<div class="form-group mb-5">
						<label for="contactMessage" class="form-label">
							{{ form_label(form.message)}}
						</label>
						{{ form_widget(form.message) }}
					</div>

					<div class="form-group mb-0">
						{{ form_widget(form.envoyer) }}
					</div>
					{{ form_end(form) }}

				</div>

			</div>
		</div>
	</section>
{% endblock %}
